System 2.0.0.0 4.0.0.0 System.Enum

The enumeration defines the values returned in the property.

For additional information about FTP server status codes, see RFC 959, "File Transfer Protocol," Section 4.2, "FTP Replies," available at http://www.rfc-editor.org.

Specifies the status codes returned for a File Transfer Protocol (FTP) operation.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that a user account on the server is required.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that an error occurred that prevented the request action from completing.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the requested action cannot be taken because the specified page type is unknown. Page types are described in RFC 959 Section 3.1.2.3

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the requested action cannot be performed on the specified file.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the requested action cannot be performed on the specified file because the file is not available.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the requested action cannot be performed on the specified file because the file is not available or is being used.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the requested action cannot be performed because there is not enough space on the server.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that one or more command arguments has a syntax error.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the sequence of commands is not in the correct order.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the data connection cannot be opened.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the server is closing the control connection.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the server is closing the data connection and that the requested file action was successful.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the command is not implemented by the server because it is not needed.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the command is not implemented by the FTP server.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the command completed successfully.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the command has a syntax error or is not a command recognized by the server.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the connection has been closed.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the data connection is already open and the requested transfer is starting.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies the status of a directory.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the server is entering passive mode.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the requested action cannot be performed.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the requested file action completed successfully.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the requested file action requires additional information.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies the status of a file.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the user is logged in and can send commands.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the server requires a login account to be supplied.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that login information must be sent to the server.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the server is opening the data connection.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the requested path name was created.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the response contains a restart marker reply. The text of the description that accompanies this status contains the user data stream marker and the server marker.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the server expects a password to be supplied.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the server is ready for a user login operation.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the server accepts the authentication mechanism specified by the client, and the exchange of security data is complete.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the service is not available.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies that the service is not available now; try your request later.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Specifies the system type name using the system names published in the Assigned Numbers document published by the Internet Assigned Numbers Authority.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.FtpStatusCode

  Included for completeness, this value is never returned by servers.